Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPDeductionGuide

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`

public interface ICPPDeductionGuide extends ICPPBinding
Deduction guide, introduced in C++17.

Since:
  8.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPDeductionGuide[]`
`EMPTY_BINDING_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPFunction`
`getFunctionBinding()`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

## Field Details

### EMPTY_BINDING_ARRAY

static final ICPPDeductionGuide[] EMPTY_BINDING_ARRAY

## Method Details

### getFunctionBinding

ICPPFunction getFunctionBinding()